package at.ac.univie.cs.swa.pattern.catalog

import at.ac.univie.cs.swa.pattern.catalog.patternCatalogDSL.SimpleRelation
import at.ac.univie.cs.swa.pattern.catalog.patternCatalogDSL.AggregationCascade
import at.ac.univie.cs.swa.pattern.catalog.patternCatalogDSL.Indirection
import at.ac.univie.cs.swa.pattern.catalog.patternCatalogDSL.Primitive
import at.ac.univie.cs.swa.pattern.catalog.MyEcoreUtils

class PatternPrimitiveUtils extends MyEcoreUtils {
	def boolean isDirectRelation(Primitive relationPrimitive) {
			return (relationPrimitive instanceof SimpleRelation
						|| relationPrimitive instanceof AggregationCascade
						|| relationPrimitive instanceof Indirection)
	}
	
}